import { html as c } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (n, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, l = n.length - 1, o; l >= 0; l--)
    (o = n[l]) && (e = (t ? o(r, s, e) : o(e)) || e);
  return t && e && f(r, s, e), e;
};
let i = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--printerFilledLarge", this.class = "c-pieIcon c-pieIcon--printerFilledLarge", this.name = "IconPrinterFilledLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--printerFilledLarge"><path d="M23 9V3.75H9V9h14Z"></path><path d="M21.25 20.41h-10.5v7.84h10.5v-7.84Z"></path><path d="M26.5 10.75h-21a2.625 2.625 0 0 0-2.625 2.625V24.75H9v-4.375H7.25v-1.75h17.5v1.75H23v4.375h6.125V13.375A2.625 2.625 0 0 0 26.5 10.75Zm-5.25 6.125v-1.75h3.5v1.75h-3.5Z"></path></svg>`;
  }
};
p([
  h({ type: String, reflect: !0 })
], i.prototype, "size", 2);
p([
  h({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = p([
  v("icon-printer-filled-large")
], i);
export {
  i as IconPrinterFilledLarge
};
